com.aspose.omr

## Class OmrPage

- java.lang.Object
- - com.aspose.omr.OmrPage

-     public class OmrPage
      extends Object

  Represents a page of an OMR document

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OmrPage()` Initializes a new instance of the `OmrPage` class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringDictionary` | `extractData(OmrImage documentImage, OmrConfig config)` Extracts data from a scanned OMR sheet.
    `OmrConfig` | `getConfiguration()` Gets page-level configuration for OMR extraction algorithm.
    `OmrElementsCollection` | `getElements()` Gets the collection of OMR elements of the page.
    `double` | `getHeight()` Gets height of the page, in millimeters.
    `OmrImage` | `getSheetImage()` Gets a sheet image associated with the page.
    `double` | `getWidth()` Gets width of the page, in millimeters.
    `void` | `setConfiguration(OmrConfig value)` Sets page-level configuration for OMR extraction algorithm.
    `void` | `setHeight(double value)` Sets height of the page, in millimeters.
    `void` | `setSheetImage(OmrImage value)` Sets a sheet image associated with the page.
    `void` | `setWidth(double value)` Sets width of the page, in millimeters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OmrPage

          public OmrPage()

      Initializes a new instance of the `OmrPage` class.

  - ### Method Detail

    - #### extractData

          public StringDictionary extractData(OmrImage documentImage,
                                     OmrConfig config)

      Extracts data from a scanned OMR sheet.

      Parameters:
        `documentImage` - The document Image.
        `config` - Configuration for OMR extraction algorithm.
      Returns:
        A with element names as keys and their respective values as values.

    - #### getConfiguration

          public OmrConfig getConfiguration()

      Gets page-level configuration for OMR extraction algorithm. If set to `null` (by default), global configuration will be used.

      This settings are used during data extraction only and are not saved in the template file.
      Returns:
        page-level configuration for OMR extraction algorithm.

    - #### getElements

          public OmrElementsCollection getElements()

      Gets the collection of OMR elements of the page.

      Returns:
        the collection of OMR elements

    - #### getHeight

          public double getHeight()

      Gets height of the page, in millimeters.

      Returns:
        height of the page

    - #### getSheetImage

          public OmrImage getSheetImage()

      Gets a sheet image associated with the page. The value can be null.

      Returns:
        the sheet image

    - #### getWidth

          public double getWidth()

      Gets width of the page, in millimeters.

      Returns:
        width of the page

    - #### setConfiguration

          public void setConfiguration(OmrConfig value)

      Sets page-level configuration for OMR extraction algorithm. Overrides global configuration if set. If set to `null` (by default), global configuration will be used.

      This settings are used during data extraction only and are not saved in the template file.
      Parameters:
        `value` - page-level configuration for OMR extraction algorithm.

    - #### setHeight

          public void setHeight(double value)

      Sets height of the page, in millimeters.

      Parameters:
        `value` - height of the page

    - #### setSheetImage

          public void setSheetImage(OmrImage value)

      Sets a sheet image associated with the page. The value can be null.

      Parameters:
        `value` - new sheet image

    - #### setWidth

          public void setWidth(double value)

      Sets width of the page, in millimeters.

      Parameters:
        `value` - width of the page

Copyright © 2014. All rights reserved.